
QGIS Application - Bug report #14172

QGIS freezes after canvas refresh when using graduated style with many classes

2016-01-26 06:44 AM - Sebastian Dietrich

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 22174

Description

We have some layers that make use of the graduated style with many classes (a few hundred). After upgrading from 2.10 to 2.12.0 the

projects containing those layers started to misbehave:

A short time (around one second) after the canvas has been updated by a pan or zoom operation, QGIS freezes for a few seconds. The

length of the freeze is proportional to the number of classes in the graduated style, regardless of whether the layer is visible. It happens

even if the layer is empty.

I attach a sample project. To reproduce:

    -  Open the sample project

    -  Select the panning maptool

    -  Zoom using the mouse-wheel

    -  Immediately start panning by pressing the left mouse-button and continually moving the mouse

Note that QGIS freezes during the last step for a few seconds (depending on your hardware).

Related issues:

Related to QGIS Application - Bug report # 13078: Size of legend items Closed 2015-07-06

History

#1 - 2016-02-11 03:46 PM - Sebastian Dietrich

- Priority changed from Normal to High

Bisected the bug to commit:8776449a148e8b5422a73de45e5a364d1a7e5d5d, part of PR 2245, addressing #13078.

#2 - 2017-01-05 10:23 AM - Giovanni Manghi

- Priority changed from High to Normal

- Status changed from Open to Feedback

- Category changed from Symbology to Map Legend

Hi,

while I can see some kind of lag (not very long to tell the truth, and no freeze) on 2.18.2 I really cannot appreciate the implications as the attached project

does have any data (well it has, point?crs=EPSG:4326&memoryid={c97b4801-9e29-4621-998a-1f38d50a422f} but there are no features), so I cannot also

say if previously behaved in a different way.

Can you add more data/details? How this impacts real life work?
https://github.com/qgis/QGIS/pull/2245


#3 - 2017-02-27 02:52 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.

Files

FreezeGraduatedStyle.qgs 2.2 MB 2016-01-26 Sebastian Dietrich
